import { Column, Entity, PrimaryColumn } from 'typeorm';

/**
 * This entity represents a single store value, identified by its key.
 */
@Entity()
export class StoreValue {
  /**
   * the key
   */
  @PrimaryColumn()
  public key: StoreKey;

  /**
   * the value
   */
  @Column('simple-json')
  public value: any;
}
