/**
 * An entity implementing this interface has a weight property.
 */
declare interface IWeightedEntity {
  /**
   * the weight, mathematically a number (0,1], practically between (0,Number.MAX_SAFE_INTEGER]
   */
  weight: number;
}
